Package io.vertx.rxjava3.grpc.common

## Class GrpcMessage

- java.lang.Object
- - io.vertx.rxjava3.grpc.common.GrpcMessage

-     public class GrpcMessage
      extends Object

  A generic gRPC message

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static io.vertx.lang.rx.TypeArg<GrpcMessage>` | `__TYPE_ARG` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `GrpcMessage​(GrpcMessage delegate)` |
    `GrpcMessage​(Object delegate)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `encoding()` |
    `boolean` | `equals​(Object o)` |
    `WireFormat` | `format()` |
    `GrpcMessage` | `getDelegate()` |
    `int` | `hashCode()` |
    `static GrpcMessage` | `message​(String encoding, Buffer payload)` |
    `static GrpcMessage` | `message​(String encoding, WireFormat format, Buffer payload)` |
    `static GrpcMessage` | `newInstance​(GrpcMessage arg)` |
    `Buffer` | `payload()` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<GrpcMessage> __TYPE_ARG

  - ### Constructor Detail

    - #### GrpcMessage

          public GrpcMessage​(GrpcMessage delegate)

    - #### GrpcMessage

          public GrpcMessage​(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public GrpcMessage getDelegate()

    - #### message

          public static GrpcMessage message​(String encoding,
                                            WireFormat format,
                                            Buffer payload)

      Parameters:
        `encoding` -
        `format` -
        `payload` -
      Returns:
        a new message

    - #### message

          public static GrpcMessage message​(String encoding,
                                            Buffer payload)

      Parameters:
        `encoding` -
        `payload` -
      Returns:
        a new message in proto format

    - #### encoding

          public String encoding()

      Returns:
        the message encoding

    - #### format

          public WireFormat format()

      Returns:
        the message format

    - #### payload

          public Buffer payload()

      Returns:
        the message payload, usually in Protobuf format encoded in the `encoding()` format

    - #### newInstance

          public static GrpcMessage newInstance​(GrpcMessage arg)